Subject: Re: [yang-doctors] Hi Reshad, the issues about igmp snooping model are addressed. Thanks a lot!

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Mon, 1 Oct 2018 13:21:43 +0000

Hi Hongji,

I understand that these statistics are interface specific, but I still don’t understand why you think augmenting if:interface is better, can you please explain? For me these counts are IGMP/MLD snooping specific, so should be under the snooping instance.

As an example, take a look at section 2.7 of draft-ietf-ospf-yang, the per-interface OSPF counters are under OSPF protocol container, not augment of if:interface.

Regards,
Reshad.

From: Hongji Zhao <[email-masked]>
Date: Tuesday, September 25, 2018 at 12:30 AM
To: "Reshad Rahman (rrahman)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, YANG Doctors <[email-masked]>
Subject: RE: Hi Reshad, the issues about igmp snooping model are addressed. Thanks a lot!

Hi Reshad,

The statistics are related with igmp-mld-snooping, not only with mrouter interface.
The query is the number of  igmp query messages. The membership-report-v1/2/3 indicates the number of membership report v1/2/3 messages. The leave indicates the number of leave messages.
The pim is the number of pim hello messages. They are used to generate and maintain the entries for l2 multicast forwarding, multicast router interface, IGMP&MLD snooping membership, etc.

So I think keeping them under augment of if:interface is better.  What do you think of that?
Thanks!

BR/Hongji
赵宏吉

From: Reshad Rahman (rrahman) <[email-masked]<mailto:[email-masked]>>
Sent: Thursday, September 20, 2018 8:26 PM
To: Hongji Zhao <[email-masked]<mailto:[email-masked]>>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; YANG Doctors <[email-masked]<mailto:[email-masked]>>
Subject: Re: Hi Reshad, the issues about igmp snooping model are addressed. Thanks a lot! Re: [yang-doctors] Yangdoctors early review of draft-ietf-pim-igmp-mld-snooping-yang-03

Hi Hongji,

It looks like those statistics are needed only for interfaces (not for PWs) , so you could keep them under augment of if:interface, or put those stats under bridge-mrouter-interface and l2vpn-mrouter-interface-ac in the snooping-instance. My preference is for the latter.

Regards,
Reshad.

From: Hongji Zhao <[email-masked]<mailto:[email-masked]>>
Date: Monday, September 17, 2018 at 10:28 PM
To: "Reshad Rahman (rrahman)" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, YANG Doctors <[email-masked]<mailto:[email-masked]>>
Subject: RE: Hi Reshad, the issues about igmp snooping model are addressed. Thanks a lot! Re: [yang-doctors] Yangdoctors early review of draft-ietf-pim-igmp-mld-snooping-yang-03

Hi Reshad,

In augment /if:interfaces/if:interface, besides mrouter related data, there are still some statistics related with igmp-mld-snooping.
If take out the whole augmentation of if:interfaces, the statistics will be lost.  What do you think of that?

augment /if:interfaces/if:interface:
    +--rw igmp-mld-snooping
       +--ro statistics
          +--ro received
          |  +--ro query?                  yang:counter64
          |  +--ro membership-report-v1?   yang:counter64
          |  +--ro membership-report-v2?   yang:counter64
          |  +--ro membership-report-v3?   yang:counter64
          |  +--ro leave?                  yang:counter64
          |  +--ro non-member-leave?       yang:counter64
          |  +--ro pim?                    yang:counter64
          +--ro sent
             +--ro query?                  yang:counter64
             +--ro membership-report-v1?   yang:counter64
             +--ro membership-report-v2?   yang:counter64
             +--ro membership-report-v3?   yang:counter64
             +--ro leave?                  yang:counter64
             +--ro non-member-leave?       yang:counter64
             +--ro pim?                    yang:counter64

BR/Hongji
赵宏吉